Package org.linphone.core

# Enum Class ConferenceInfo.State

java.lang.Object
java.lang.Enum<ConferenceInfo.State>
org.linphone.core.ConferenceInfo.State

All Implemented Interfaces:
  `Serializable`, `Comparable<ConferenceInfo.State>`, `Constable`

Enclosing interface:
  `ConferenceInfo`

public static enum ConferenceInfo.State extends Enum<ConferenceInfo.State>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Cancelled`
Canceling a conference.
`New`
New conference.
`Updated`
Conference has been updated.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static ConferenceInfo.State`
`fromInt(int value)`
`int`
`toInt()`
`static ConferenceInfo.State`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ConferenceInfo.State[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### New

public static final ConferenceInfo.State New
New conference.

### Updated

public static final ConferenceInfo.State Updated
Conference has been updated.

### Cancelled

public static final ConferenceInfo.State Cancelled
Canceling a conference.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static ConferenceInfo.State[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ConferenceInfo.State valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static ConferenceInfo.State fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()